explain_tempnam_or_die(3)

NAME
explain_tempnam_or_die - create a name for a temporary file and report errors

SYNOPSIS
#include <libexplain/tempnam.h>

char *explain_tempnam_or_die(const char *dir, const char *prefix);
char *explain_tempnam_on_error(const char *dir, const char *prefix);

DESCRIPTION
The explain_tempnam_or_die function is used to call the tempnam(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tempnam(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_tempnam_on_error function is used to call the tempnam(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tempnam(3) function, but still returns to the caller.

dir The dir, exactly as to be passed to the tempnam(3) system call.

prefix
    The prefix, exactly as to be passed to the tempnam(3) system call.

RETURN VALUE
The explain_tempnam_or_die function only returns on success, see tempnam(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_tempnam_on_error function always returns the value return by the wrapped tempnam(3) system call.

EXAMPLE
The explain_tempnam_or_die function is intended to be used in a fashion similar to the following example:
    char *result = explain_tempnam_or_die(dir, prefix);

SEE ALSO

tempnam(3)
    create a name for a temporary file

explain_tempnam(3)
    explain tempnam(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller